Bug 11748 - Нелокальные пользователи не имеют возможности обратиться к flash
: Нелокальные пользователи не имеют возможности обратиться к flash
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hal)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 11826 15333
  Show dependency tree
 
Reported: 2007-05-12 22:54 by
Modified: 2008-04-14 15:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-12 22:54:36
Пользователь, залогинившийся с удалённого Х-терминала, втыкает флэшку.
У всех выскакивает сообщение "Открыть в новом окне?"
Пользователь соглашается и получает ошибку:

kded: ERROR: mount failed 
for /org/freedesktop/Hal/devices/volume_uuid_B870_9B22: 
org.freedesktop.DBus.Error.AccessDenied - A security policy in place prevents 
this sender from sending this message to this recipient, see message bus 
configuration file (rejected message had 
interface "org.freedesktop.Hal.Device.Volume" member "Mount" error 
name "(unset)" destination "org.freedesktop.Hal")
------- Comment #1 From 2007-05-13 13:50:49 -------
Я ни разу не собирал этот пакет...
------- Comment #2 From 2007-05-13 13:59:18 -------
удаленные пользователи ограничены в правах
------- Comment #3 From 2007-05-13 14:05:54 -------
Я согласен. Но хотелось бы решить вопрос в двух направлениях:
1. Если удалённые пользователи ограничены в правах, зачем им посылается 
уведомление открыть флэшку, ведь она им недоступна?
2. Каким образом отключить это ограничение в правах? Может быть есть 
конкретная документация на этот счёт?
Это всё важные вопрос организации совместной работы.
------- Comment #4 From 2007-05-13 14:11:49 -------
1. отключить это в KDE
2. 32-я строчка в /etc/dbus-1/system.d/hal.conf
------- Comment #5 From 2007-05-13 14:48:52 -------
Кстати, а если в KDE отключить, как потом включить обратно? И наверное лучше 
через тот же hal.conf отключить им отправку сообщений?
Кстати, а там можно по аналогии с <policy user="root">
написать <policy group="users"> ?
------- Comment #6 From 2007-05-13 15:59:39 -------
(In reply to comment #5)
> Кстати, а если в KDE отключить, как потом включить обратно?

Центр управления -> Периферия -> Устройства хранения

> И наверное лучше 
> через тот же hal.conf отключить им отправку сообщений?

кому?

> Кстати, а там можно по аналогии с <policy user="root">
> написать <policy group="users"> ?

можно
------- Comment #7 From 2007-05-13 20:50:36 -------
(In reply to comment #6)
> (In reply to comment #5)
> > Кстати, а если в KDE отключить, как потом включить обратно?
> 
> Центр управления -> Периферия -> Устройства хранения
Там я был, но справки там нет, и как включить уведомления обратно - неясно.
 
> > И наверное лучше 
> > через тот же hal.conf отключить им отправку сообщений?
> 
> кому?
Удалённым пользователям. Тем, которые не проходят по
  <policy at_console="true">
?

------- Comment #8 From 2007-05-13 20:56:49 -------
> > Центр управления -> Периферия -> Устройства хранения
> Там я был, но справки там нет, и как включить уведомления обратно - неясно.

в Дополнительно галка "Автозапуск информационных носителей при их 
монтировании"

>  
> > > И наверное лучше 
> > > через тот же hal.conf отключить им отправку сообщений?
> > 
> > кому?
> Удалённым пользователям. Тем, которые не проходят по
>   <policy at_console="true"> ?
зачем?
------- Comment #9 From 2007-05-15 01:30:52 -------
Можешь чуть подробнее -- куда именно кто втыкает флэшку?  Если в TS, то
посмотри
на ltsp5 в сизифе/4.0.  У нас вполне себе работает (с пятёркой и fuse есть
грабли в ovz, но на них необязательно наступать) и никому лишнему ничего не
выскакивает.
------- Comment #10 From 2007-05-15 01:57:44 -------
(In reply to comment #8)

> в Дополнительно галка "Автозапуск информационных носителей при их 
> монтировании"
Не понял на что это влияет.
Собственно всё равно проблема с тем, что отключив окно, его потом не вернуть 
обратно, у меня осталось. Возможно это временный баг.

> >  
> > > > И наверное лучше 
> > > > через тот же hal.conf отключить им отправку сообщений?
> > > 
> > > кому?
> > Удалённым пользователям. Тем, которые не проходят по
> >   <policy at_console="true"> ?
> зачем?
ну чтобы разрешить определённым группам пользователей пользоваться флэшкой?
------- Comment #11 From 2007-05-15 02:01:58 -------
(In reply to comment #9)
> Можешь чуть подробнее -- куда именно кто втыкает флэшку?  Если в TS, то
Удалённый пользователь втыкает флэшку в терминальный сервер (потому что своего 
USB у него нет)

> на ltsp5 в сизифе/4.0.  У нас вполне себе работает (с пятёркой и fuse есть
О! А я и не заметил, что оно появилось. Обязательно будем проверять.

> грабли в ovz, но на них необязательно наступать) и никому лишнему ничего не
> выскакивает.

Собственно я уже всё узнал и даже больше. Готов закрыть багу.
Отдельное спасибо Валере за терпение и ответы на кучу вопросов.
------- Comment #12 From 2007-05-17 12:16:44 -------
так что решаем то?
------- Comment #13 From 2007-05-19 01:51:41 -------
Я так и не понял, как вернуть окно с запросом "что делать" при подключении 
носителя. Повесить про это отдельную багу?
------- Comment #14 From 2007-05-20 11:21:10 -------
все той же галочкой
------- Comment #15 From 2007-05-22 22:10:28 -------
(In reply to comment #11)
> > Можешь чуть подробнее -- куда именно кто втыкает флэшку?  Если в TS, то
> Удалённый пользователь втыкает флэшку в терминальный сервер (потому что своего 
> USB у него нет)
При возможности лучше завести ему свои средства лишний раз повеситься.  Эти
карточки (PCI USB2) сейчас стоят что-то $10--20.  Мы в часть терминалов так и
повтыкали, кому с набортного USB1 слишком медленно синхронизировать тот же сизиф
или свои флэшки.  А вот с сервером могут быть нюансы, тут хоть и не ловили на
2.6.18-ovz вис при работе с флэшками (то ли на втыкании, то ли на вытыкании), но
его там правили.

> > на ltsp5 в сизифе/4.0.  У нас вполне себе работает (с пятёркой и fuse есть
> О! А я и не заметил, что оно появилось. Обязательно будем проверять.
Welcome ;-)  Дальше намечено добавить поддержку RDP и двигаться в сторону NX.
------- Comment #16 From 2007-05-23 00:45:37 -------
(In reply to comment #15)
> При возможности лучше завести ему свои средства лишний раз повеситься.  Эти
> карточки (PCI USB2) сейчас стоят что-то $10--20.  Мы в часть терминалов так 
У нас у всех есть USB на местах, только через ты предлагаешь к ним стучаться с 
сервера, если мы пока без ltsp?
------- Comment #17 From 2007-05-23 15:19:33 -------
Если нужны терминалы -- перебирайся на ltsp, если что-то более странное --
проконсультируйся у led@, что из lbuscd, lbussd и что-ещё-было куда надо
разложить.

Мы оставили схему работы с локальными устройствами из ltsp4, поскольку
переписанная сырая (плюс зависит от завёрнутой в ssh сессии, что работает
только
со специфическими и не подходящими в текущем состоянии sdm/ldm -- с автором
последнего пообщался, фичреквест ему ввесил).

Надо будет это на wiki в LTSP5 изложить...
------- Comment #18 From 2008-04-12 20:20:44 -------
См. тж. хак по имени kde-settings-kded-no_media_popup в сизифе-бранче.